module.exports = {
  extends: "airbnb",
  parser: "babel-eslint",
  rules: {
    "react/jsx-one-expression-per-line": 0,
    "linebreak-style": ["error", "windows"],
    "react/jsx-filename-extension": [1, { extensions: [".js", ".jsx"] }],
    "implicit-arrow-linebreak": 0,
    "react/forbid-prop-types": [0],
    // "react/destructuring-assignment": "off", // const {} = this.state;
    'no-plusplus': 'off', // ++ işaretinin kullanımı i += 1
    "linebreak-style": 0,
    "no-nested-ternary" : "off", // ? : ard ardına kullanma false ? true : false ? true : false gibi
    'max-len': 'off', // satır uzunlugu sınırı kapalı ama ayarlanabilir istenirse.
    'no-underscore-dangle': 'off',
    "jsx-a11y/anchor-is-valid": "off",
    "jsx-a11y/href-no-hash": "off",
    "camelcase": "off",
    "no-script-url": 0,
    "jsx-a11y/label-has-for": 0,
    "jsx-a11y/label-has-associated-control": 0,
    "import/prefer-default-export": "off", // herhangi bir class veya component olmadıgında hata veriyor.
    "import/no-cycle": "off", // iki sınıf arasında birbirinin fonksiyonlarını kullanınca verilen hata
    "react/jsx-props-no-spreading": "off", // {...props}
  },
  globals: {
    window: true,
    document: true,
    sessionStorage: true,
    localStorage: true,
    fetch: true
  }
};
